Bug 131209 - Print preview bar in tabbed notebookbar does not appear dynamically
Summary: Print preview bar in tabbed notebookbar does not appear dynamically
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Notebookbar-Tabbed Print-Preview
  Show dependency treegraph
 
Reported: 2020-03-07 17:08 UTC by Maarten
Modified: 2020-04-16 09:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Printscreen of prrint preview pane not appearing dynamically (115.46 KB, image/jpeg)
2020-03-07 17:19 UTC, Maarten
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maarten 2020-03-07 17:08:03 UTC

    
Comment 1 Maarten 2020-03-07 17:19:34 UTC
Created attachment 158471 [details]
Printscreen of prrint preview pane not appearing dynamically

As said previously, the in LO 6.4.2.EC1m when hitting the print preview button in the start tab, the botebookbar does not dynamically change to the print preview pane. It stays in the "Start"-tab of the notebookbar.

This means e.g. you cannot choosehow many pages you want to see in the print preview pane. and so one. LUckily LO does not crash on this input anymore. Clicking the print preview button once more, the print preview closes. 

See screenshot in attachment! 

Ciao, 

Maarten
Comment 2 Dieter 2020-03-26 11:00:30 UTC
I confirm this with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 5dcbd1bb557450a2d658a710c163b310c0cee157
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: CL

but not with

Version: 6.3.5.2 (x64)
Build-ID: dd0751754f11728f69b42ee2af66670068624673
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

It doesn't happen in standard toolbar, so I also tink it is a bug.
Comment 3 Aron Budea 2020-03-30 02:15:38 UTC
(In reply to Dieter from comment #2)
> but not with
> 
> Version: 6.3.5.2 (x64)
Based on bibisect results, this bug is already in 6.3.5.2. Bibisected to the backport of the following commit using repo bibisect-linux-64-6.3. Adding CC: to Jim Raykowski.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4ae5fe896e96d082e21788ae6d42a67133567ba7
author		Jim Raykowski <raykowj@gmail..com>	2019-11-09 16:07:09 -0900
committer	Xisco Faulí <xiscofauli@libreoffice.org>	2019-11-11 11:04:56 +0100

tdf#118526 Reload Notebookbar if read mode has switched
Comment 4 Jim Raykowski 2020-04-03 22:23:03 UTC
Not the first time I've "fixed" something that breaks something else :o. Thanks for letting me know.
Comment 5 Jim Raykowski 2020-04-05 02:00:35 UTC
Here is effort that seems to solve the regression and bug 118526. Code review and testing appreciated.  

https://gerrit.libreoffice.org/c/core/+/91702
Comment 6 Commit Notification 2020-04-05 19:36:34 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/68c96a54fef93b9f735aeb6c9ae07171e934132a

tdf#131209 reload the notebook bar

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-04-15 11:53:10 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 24e1563b5db3de5abac0d4fd0f737ec319e703e8
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Jim, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-04-16 09:09:20 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9efcbef08c406e5d9b9486c28f3979f875953c30

tdf#131209 reload the notebook bar

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.